# DRAGON QUEST TREASURES 1.0.1
# BID: 2F81A2EC9B298B37

ALL_FPS:
  # Disable bUseFixedFrameRate to untie game speed from framerate and unlock FPS
  -
    type: write
    address: [MAIN, 0x7E110D8, 0x7C0]
    address_unsafe: true
    value_type: uint32
    # Default is 0x47, bUseFixedFrameRate |= 0x40 
    # By writing 7 we are making sure that other flags are maintained: 
    # bAllowMultiThreadedAnimationUpdate |= 4
    # bOptimizeAnimBlueprintMemberVariableAccess |= 2
    # bCanBlueprintsTickByDefault |= 1
    value: 7
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0x7E119A8, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  -
    type: block
    what: timing
